> ## Documentation Index
> Fetch the complete documentation index at: https://docs.harvestapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Job

> Get the LinkedIn job details by job ID or URL.

<CodeGroup>
  ```javascript JavaScript theme={null}
  const params = new URLSearchParams({
    url: 'https://www.linkedin.com/jobs/view/4153069088/', // by URL
    // jobId: '4153069088', // by jobId alternatively
  });

  fetch(`https://api.harvestapi.io/linkedin/job?${params.toString()}`, {
    headers: { 'X-API-Key': '<api-key>' },
  })
    .then((response) => response.json())
    .then((data) => console.log(data));
  ```

  ```bash cURL theme={null}
  curl --request GET \
    --url https://api.harvestapi.io/linkedin/job?jobId=4153069088 \
    --header 'X-API-Key: <api-key>'
  ```

  ```python Python theme={null}
  import requests

  url = "https://api.harvestapi.io/linkedin/job?jobId=4153069088"

  headers = {"X-API-Key": "<api-key>"}

  response = requests.request("GET", url, headers=headers)

  print(response.text)
  ```
</CodeGroup>


## OpenAPI

````yaml GET /linkedin/job
openapi: 3.0.1
info:
  title: HarvestAPI LinkedIn API reference
  description: HarvestAPI LinkedIn API reference
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.harvestapi.io
security:
  - ApiKeyAuthHeader: []
paths:
  /linkedin/job:
    get:
      summary: Get the LinkedIn job details
      description: Get the LinkedIn job details by job ID or URL.
      parameters:
        - name: jobId
          in: query
          description: ID of the LinkedIn job (optional)
          schema:
            type: string
        - name: url
          in: query
          description: URL of the LinkedIn job (optional)
          schema:
            type: string
            format: url
      responses:
        '200':
          description: Job details response
          content:
            application/json:
              schema:
                type: object
                properties:
                  element:
                    $ref: '#/components/schemas/Job'
                  status:
                    type: string
                  error:
                    type: string
                  query:
                    type: object
                    properties:
                      jobId:
                        type: string
                      url:
                        type: string
        '400':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Job:
      required:
        - id
      type: object
      properties:
        id:
          type: string
        title:
          type: string
        linkedinUrl:
          type: string
        jobState:
          type: string
        postedDate:
          type: string
          format: date-time
        descriptionText:
          type: string
        descriptionHtml:
          type: string
        location:
          type: object
          properties:
            linkedinText:
              type: string
            postalAddress:
              type: string
              format: nullable
            parsed:
              type: object
              properties:
                text:
                  type: string
                countryCode:
                  type: string
                regionCode:
                  type: string
                  format: nullable
                country:
                  type: string
                countryFull:
                  type: string
                state:
                  type: string
                city:
                  type: string
        employmentType:
          type: string
        workplaceType:
          type: string
        workRemoteAllowed:
          type: boolean
        easyApplyUrl:
          type: string
        applicants:
          type: integer
          format: int32
        companyName:
          type: string
        companyLogo:
          type: string
        companyLink:
          type: string
        companyUniversalName:
          type: string
        salary:
          type: object
          properties:
            min:
              type: string
            max:
              type: string
            currency:
              type: string
            text:
              type: string
        views:
          type: integer
          format: int32
        expireAt:
          type: string
          format: date-time
        new:
          type: boolean
        jobApplicationLimitReached:
          type: boolean
        applicantTrackingSystem:
          type: string
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    ApiKeyAuthHeader:
      type: apiKey
      in: header
      name: X-API-Key

````